# Class WorkbenchPartLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.ui.model.WorkbenchPartLabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider, ILabelProvider, ITableLabelProvider`

public final class WorkbenchPartLabelProvider extends LabelProvider implements ITableLabelProvider
A table label provider implementation for showing workbench views and editors (objects of type `IWorkbenchPart`) in tree- and table-structured viewers.

Clients may instantiate this class. It is not intended to be subclassed.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`WorkbenchPartLabelProvider()`
Creates a new label provider for workbench parts.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list.
`Image`
`getColumnImage(Object element, int columnIndex)`
Returns the label image for the given column of the given element.
`String`
`getColumnText(Object element, int columnIndex)`
Returns the label text for the given column of the given element.
`Image`
`getImage(Object element)`
The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`String`
`getText(Object element)`
The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

### Methods inherited from class LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider`

### Methods inherited from class BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

## Constructor Details

### WorkbenchPartLabelProvider

public WorkbenchPartLabelProvider()
Creates a new label provider for workbench parts.

## Method Details

### getImage

public Image getImage(Object element)
Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns `null`. Subclasses may override.

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`
Parameters:
  `element` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object

### getText

public String getText(Object element)
Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`
Parameters:
  `element` - the element for which to provide the label text
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object

### getColumnImage

public Image getColumnImage(Object element, int columnIndex)
Description copied from interface: `ITableLabelProvider`
Returns the label image for the given column of the given element.

Specified by:
  `getColumnImage` in interface `ITableLabelProvider`
Parameters:
  `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
  `columnIndex` - the zero-based index of the column in which the label appears
Returns:
  Image or `null` if there is no image for the given object at columnIndex
See Also:
  - `ITableLabelProvider.getColumnImage(Object, int)`

### getColumnText

public String getColumnText(Object element, int columnIndex)
Description copied from interface: `ITableLabelProvider`
Returns the label text for the given column of the given element.

Specified by:
  `getColumnText` in interface `ITableLabelProvider`
Parameters:
  `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
  `columnIndex` - the zero-based index of the column in which the label appears
Returns:
  String or or `null` if there is no text for the given object at columnIndex
See Also:
  - `ITableLabelProvider.getColumnText(Object, int)`

### dispose

public void dispose()
Description copied from class: `BaseLabelProvider`
The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list. Subclasses may extend but should call the super implementation.

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`